This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 45687 - 'magicfilter' dumps core
'magicfilter' dumps core
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: printconf (Show other bugs)
7.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-06-24 16:31 EDT by Michal Jaegermann
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version: 0.6.119-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-10 10:55:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2001-06-24 16:31:12 EDT
With 'magicfilter' from printconf-0.2.12-1 the following happens on x86:

# /usr/bin/magicfilter-t 
Segmentation fault (core dumped)
# /usr/bin/magicfilter-t --help
usage: magicfilter printer-driver [options]
 -a   foo            Segmentation fault (core dumped)

# gdb /usr/bin/magicfilter-t core
GNU gdb 5.0rh-5 Red Hat Linux 7.1
Copyright 2001 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you
are
welcome to change it and/or distribute copies of it under certain
conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "i386-redhat-linux"...
(no debugging symbols found)...
Core was generated by `/usr/bin/magicfilter-t --help'.
Program terminated with signal 11, Segmentation fault.
Reading symbols from /lib/libc.so.6...(no debugging symbols found)...done.
Loaded symbols for /lib/libc.so.6
Reading symbols from /lib/ld-linux.so.2...done.
Loaded symbols for /lib/ld-linux.so.2
#0  0x0804bae7 in getline ()
(gdb) where
#0  0x0804bae7 in getline ()
#1  0x0804b21d in getline ()
#2  0x0804958c in strcpy ()
#3  0x40043237 in __libc_start_main () from /lib/libc.so.6

On Alpha a picture is slightly different:

# rpm -q printconf
printconf-0.2.15-1
# /usr/bin/magicfilter-t
Segmentation fault (core dumped)
# /usr/bin/magicfilter-t --help
usage: magicfilter printer-driver [options]

Segmentation fault occures in the same getline() call.
Comment 1 Crutcher Dunnavant 2001-08-02 11:09:51 EDT
fixed.
Comment 2 Tim Waugh 2002-04-17 12:56:32 EDT
Still happens.

Note You need to log in before you can comment on or make changes to this bug.